Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UINotify.Properties

    java.lang.Object
      java.lang.Enum<UINotify.Properties>
          org.richfaces.component.UINotify.Properties

All Implemented Interfaces:
  Serializable, Comparable<UINotify.Properties>

Enclosing class:
  UINotify

    protected static enum UINotify.Properties

extends Enum<UINotify.Properties>

Enum Constant Summary
`animationSpeed`
`appearAnimation`
`delay`
`detail`
`hideAnimation`
`nonblocking`
`nonblockingOpacity`
`onclick`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`showCloseButton`
`showHistory`
`showShadow`
`stack`
`stayTime`
`sticky`
`styleClass`
`summary`

Method Summary
`static UINotify.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UINotify.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### animationSpeed

    public static final UINotify.Properties animationSpeed

### appearAnimation

    public static final UINotify.Properties appearAnimation

### delay

    public static final UINotify.Properties delay

### detail

    public static final UINotify.Properties detail

### hideAnimation

    public static final UINotify.Properties hideAnimation

### nonblocking

    public static final UINotify.Properties nonblocking

### nonblockingOpacity

    public static final UINotify.Properties nonblockingOpacity

### onclick

    public static final UINotify.Properties onclick

### ondblclick

    public static final UINotify.Properties ondblclick

### onkeydown

    public static final UINotify.Properties onkeydown

### onkeypress

    public static final UINotify.Properties onkeypress

### onkeyup

    public static final UINotify.Properties onkeyup

### onmousedown

    public static final UINotify.Properties onmousedown

### onmousemove

    public static final UINotify.Properties onmousemove

### onmouseout

    public static final UINotify.Properties onmouseout

### onmouseover

    public static final UINotify.Properties onmouseover

### onmouseup

    public static final UINotify.Properties onmouseup

### showCloseButton

    public static final UINotify.Properties showCloseButton

### showHistory

    public static final UINotify.Properties showHistory

### showShadow

    public static final UINotify.Properties showShadow

### stack

    public static final UINotify.Properties stack

### stayTime

    public static final UINotify.Properties stayTime

### sticky

    public static final UINotify.Properties sticky

### styleClass

    public static final UINotify.Properties styleClass

### summary

    public static final UINotify.Properties summary

Method Detail

### values

    public static UINotify.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UINotify.Properties c : UINotify.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UINotify.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.